Add to requisition type settings: The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to.
curl --request POST \
--url https://app.assetinfinity.ai/api/requisition_type_settings \
--header 'Content-Type: application/json' \
--data '
{
"allows_asset": true,
"allows_other": true,
"allows_part": true,
"allows_service": true,
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"name": "<string>",
"requires_department": true,
"requisitions": 123,
"restricts_price_edit": true,
"role_ids": [
"<string>"
],
"role_names": [
"<string>"
],
"row_version": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/requisition_type_settings"
payload = {
"allows_asset": True,
"allows_other": True,
"allows_part": True,
"allows_service": True,
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"name": "<string>",
"requires_department": True,
"requisitions": 123,
"restricts_price_edit": True,
"role_ids": ["<string>"],
"role_names": ["<string>"],
"row_version": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allows_asset: true,
allows_other: true,
allows_part: true,
allows_service: true,
code: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
name: '<string>',
requires_department: true,
requisitions: 123,
restricts_price_edit: true,
role_ids: ['<string>'],
role_names: ['<string>'],
row_version: 123
})
};
fetch('https://app.assetinfinity.ai/api/requisition_type_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.assetinfinity.ai/api/requisition_type_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allows_asset' => true,
'allows_other' => true,
'allows_part' => true,
'allows_service' => true,
'code' => '<string>',
'description' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'is_active' => true,
'name' => '<string>',
'requires_department' => true,
'requisitions' => 123,
'restricts_price_edit' => true,
'role_ids' => [
'<string>'
],
'role_names' => [
'<string>'
],
'row_version' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.assetinfinity.ai/api/requisition_type_settings"
payload := strings.NewReader("{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.assetinfinity.ai/api/requisition_type_settings")
.header("Content-Type", "application/json")
.body("{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.assetinfinity.ai/api/requisition_type_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}"
response = http.request(request)
puts response.read_bodyProcurement
Add to requisition type settings: The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to.
The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to. An empty role list means every role.
POST
/
requisition_type_settings
Add to requisition type settings: The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to.
curl --request POST \
--url https://app.assetinfinity.ai/api/requisition_type_settings \
--header 'Content-Type: application/json' \
--data '
{
"allows_asset": true,
"allows_other": true,
"allows_part": true,
"allows_service": true,
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"name": "<string>",
"requires_department": true,
"requisitions": 123,
"restricts_price_edit": true,
"role_ids": [
"<string>"
],
"role_names": [
"<string>"
],
"row_version": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/requisition_type_settings"
payload = {
"allows_asset": True,
"allows_other": True,
"allows_part": True,
"allows_service": True,
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"name": "<string>",
"requires_department": True,
"requisitions": 123,
"restricts_price_edit": True,
"role_ids": ["<string>"],
"role_names": ["<string>"],
"row_version": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allows_asset: true,
allows_other: true,
allows_part: true,
allows_service: true,
code: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
name: '<string>',
requires_department: true,
requisitions: 123,
restricts_price_edit: true,
role_ids: ['<string>'],
role_names: ['<string>'],
row_version: 123
})
};
fetch('https://app.assetinfinity.ai/api/requisition_type_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.assetinfinity.ai/api/requisition_type_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allows_asset' => true,
'allows_other' => true,
'allows_part' => true,
'allows_service' => true,
'code' => '<string>',
'description' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'is_active' => true,
'name' => '<string>',
'requires_department' => true,
'requisitions' => 123,
'restricts_price_edit' => true,
'role_ids' => [
'<string>'
],
'role_names' => [
'<string>'
],
'row_version' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.assetinfinity.ai/api/requisition_type_settings"
payload := strings.NewReader("{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.assetinfinity.ai/api/requisition_type_settings")
.header("Content-Type", "application/json")
.body("{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.assetinfinity.ai/api/requisition_type_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"allows_asset\": true,\n \"allows_other\": true,\n \"allows_part\": true,\n \"allows_service\": true,\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"is_active\": true,\n \"name\": \"<string>\",\n \"requires_department\": true,\n \"requisitions\": 123,\n \"restricts_price_edit\": true,\n \"role_ids\": [\n \"<string>\"\n ],\n \"role_names\": [\n \"<string>\"\n ],\n \"row_version\": 123\n}"
response = http.request(request)
puts response.read_bodyHeaders
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
requisition_type_settings
The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to. An empty role list means every role.
Maximum string length:
40Note: This is a Primary Key.
Maximum string length:
150Response
201
Created
⌘I

